import 'package:ocg_app/src/widgets/ease_in_widget.dart';
import 'package:flutter/material.dart';

class CircleSelectorWidget extends StatelessWidget {
  final bool isSelected;
  final Color activeColor;
  final double radius;
  final Function(bool val) onSelected;

  const CircleSelectorWidget(
      {Key key,
      this.isSelected = false,
      this.activeColor = Colors.black,
      this.radius = 12,
      @required this.onSelected})
      : super(key: key);
  @override
  Widget build(BuildContext context) {
    return EaseInWidget(
      onTap: () => onSelected(!isSelected),
      child: SizedBox(
        height: radius * 2,
        width: radius * 2,
        child: Container(
          decoration: BoxDecoration(
              border: isSelected
                  ? null
                  : Border.all(color: activeColor, width: 1.4),
              shape: BoxShape.circle,
              color: isSelected ? activeColor : null),
          child: isSelected
              ? Icon(
                  Icons.check,
                  color: Colors.white,
                  size: 20,
                )
              : Container(),
        ),
      ),
    );
  }
}
