import 'package:flutter/material.dart';

class SplashWidget extends StatelessWidget {
  final AnimationController controller;
  final Widget child;
  const SplashWidget({Key key, this.child, this.controller}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return FadeTransition(
      opacity: Tween<double>(begin: 0.7, end: 1).animate(controller),
      child: AlignTransition(
          alignment:
              Tween<Alignment>(begin: Alignment(0, -0.08), end: Alignment(0, 0))
                  .animate(
            controller,
          ),
          child: child),
    );
  }
}
